Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1054410 - FullListVdsCommand log message appears wrong with java class ref
Summary: FullListVdsCommand log message appears wrong with java class ref
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.2.0
Hardware: All
OS: Linux
low
low
Target Milestone: ---
: 3.4.0
Assignee: Ravi Nori
QA Contact: Petr Beňas
URL:
Whiteboard: infra
Depends On:
Blocks: rhev3.4beta 1142926
TreeView+ depends on / blocked
 
Reported: 2014-01-16 18:52 UTC by Jake Hunsaker
Modified: 2018-12-05 17:00 UTC (History)
13 users (show)

Fixed In Version: ovirt-3.4.0-beta2
Doc Type: Bug Fix
Doc Text:
Previously, Red Hat Enterprise Virtualization 3.3 ovirt-engine FullListVdsCommand FINISH log messages contained java class names. Now, the unexpanded data is shown for a full host list, not the java class name.
Clone Of:
Environment:
Last Closed: 2014-06-09 15:09:01 UTC
oVirt Team: Infra
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0506 normal SHIPPED_LIVE Moderate: Red Hat Enterprise Virtualization Manager 3.4.0 update 2014-06-09 18:55:38 UTC
oVirt gerrit 23600 None None None Never
oVirt gerrit 24684 None None None Never

Description Jake Hunsaker 2014-01-16 18:52:49 UTC
Description of problem:

RHEV 3.3 ovirt-engine FullListVdsCommand FINISH log message has possibly unexpanded data and lists java class name java.util.HashMap.

E.G.:
2014-01-12 19:35:04,250 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.FullListVdsCommand] (DefaultQuartzScheduler_Worker-31) FINISH, FullListVdsCommand, return: [Ljava.util.HashMap;@4fdd59b, log id: 73a5b8a6

Version-Release number of selected component (if applicable):

3.3 beta, also verified in 3.2

How reproducible:

100%

Steps to Reproduce:
1.
2.
3.

Actual results:

java class name is returned

Expected results:

The unexpanded data (assuming this is meant to be a full host list given the command name) should be shown

Comment 1 Petr Beňas 2014-02-18 13:08:40 UTC
I still see the bug in Beta. 

[root@pb-rh34 ovirt-engine]# rpm -qa ovirt-engine
ovirt-engine-3.4.0-0.7.beta2.el6.noarch
[root@pb-rh34 ovirt-engine]# grep FINISH engine.log | grep FullListVdsCommand
2014-02-17 11:42:49,284 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.FullListVdsCommand] (DefaultQuartzScheduler_Worker-5) FINISH, FullListVdsCommand, return: [Ljava.util.HashMap;@32e30e25, log id: 4fe6b2c6
2014-02-17 11:48:34,841 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.FullListVdsCommand] (DefaultQuartzScheduler_Worker-10) FINISH, FullListVdsCommand, return: [Ljava.util.HashMap;@2fbd6330, log id: 49e3cc
2014-02-17 11:50:23,873 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.FullListVdsCommand] (DefaultQuartzScheduler_Worker-44) FINISH, FullListVdsCommand, return: [Ljava.util.HashMap;@277e2a66, log id: 384a9121
2014-02-17 12:12:41,030 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.FullListVdsCommand] (DefaultQuartzScheduler_Worker-43) FINISH, FullListVdsCommand, return: [Ljava.util.HashMap;@745bdc82, log id: d9bdf38
2014-02-17 16:09:58,081 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.FullListVdsCommand] (DefaultQuartzScheduler_Worker-83) FINISH, FullListVdsCommand, return: [Ljava.util.HashMap;@57acb154, log id: 7cdca8c

Comment 2 Petr Beňas 2014-03-06 16:42:32 UTC
Verified in av2. 

[root@pb-rh34 ovirt-engine]# grep FINISH engine.log | grep FullListVdsCommand | wc -l
7
[root@pb-rh34 ovirt-engine]# grep FINISH engine.log | grep FullListVdsCommand | grep Hash
[root@pb-rh34 ovirt-engine]# grep FINISH engine.log | grep FullListVdsCommand | wc -c
58174
[root@pb-rh34 ovirt-engine]# rpm -qa rhevm
rhevm-3.4.0-0.3.master.el6ev.noarch

Comment 3 errata-xmlrpc 2014-06-09 15:09:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2014-0506.html


Note You need to log in before you can comment on or make changes to this bug.